Jaymart
Jaymart
Explore posts from servers
RRailway
Created by Jaymart on 9/17/2024 in #✋|help
Apply change bug
restarting my pc done the trick lol
4 replies
RRailway
Created by Jaymart on 9/17/2024 in #✋|help
Apply change bug
eda73b52-64f1-4550-ac64-3af038554d10
4 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
true true. thanks a bunch
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
thank you so much.
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
lmaooo
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
they need to put you on payroll
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
brother
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
try v2?
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
no legacy
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
yeeea for HAProxy
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
yes
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
yes
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
no im tryna use this as a load balancer for 2 different rabbitMQ instances
25 replies
RRailway
Created by Jaymart on 7/1/2024 in #✋|help
unable to point HAProxy to RabbitMQ services
148eb60b-cb64-411a-8789-fbfd534512b7
25 replies
RRailway
Created by Jaymart on 6/28/2024 in #✋|help
deploying rabbitMQ clusters
and the entrypoint
5 replies
RRailway
Created by Jaymart on 6/28/2024 in #✋|help
deploying rabbitMQ clusters
my dockerfile for the second instance
FROM rabbitmq:management-alpine

COPY .erlang.cookie /usr/var/lib/rabbitmq/.erlang.cookie
COPY cluster-entrypoint.sh /usr/local/bin/cluster-entrypoint.sh
COPY src/rabbitmq/plugins /plugins/

RUN set -eux; \
rabbitmq-plugins enable --offline rabbitmq_management rabbitmq_message_deduplication; \
rm -f /etc/rabbitmq/conf.d/20-management_agent.disable_metrics_collector.conf; \
cp /plugins/rabbitmq_management-*/priv/www/cli/rabbitmqadmin /usr/local/bin/rabbitmqadmin; \
[ -s /usr/local/bin/rabbitmqadmin ]; \
chmod +x /usr/local/bin/rabbitmqadmin; \
apk add --no-cache python3; \
rabbitmqadmin --version

ENV JOIN_CLUSTER_HOST=rabbitmq-cluster1@railway
ENV RABBITMQ_NODENAME=rabbitmq-cluster2

RUN chmod 755 /usr/local/bin/cluster-entrypoint.sh

ENTRYPOINT ["/usr/local/bin/cluster-entrypoint.sh"]
CMD ["rabbitmq-server"]
FROM rabbitmq:management-alpine

COPY .erlang.cookie /usr/var/lib/rabbitmq/.erlang.cookie
COPY cluster-entrypoint.sh /usr/local/bin/cluster-entrypoint.sh
COPY src/rabbitmq/plugins /plugins/

RUN set -eux; \
rabbitmq-plugins enable --offline rabbitmq_management rabbitmq_message_deduplication; \
rm -f /etc/rabbitmq/conf.d/20-management_agent.disable_metrics_collector.conf; \
cp /plugins/rabbitmq_management-*/priv/www/cli/rabbitmqadmin /usr/local/bin/rabbitmqadmin; \
[ -s /usr/local/bin/rabbitmqadmin ]; \
chmod +x /usr/local/bin/rabbitmqadmin; \
apk add --no-cache python3; \
rabbitmqadmin --version

ENV JOIN_CLUSTER_HOST=rabbitmq-cluster1@railway
ENV RABBITMQ_NODENAME=rabbitmq-cluster2

RUN chmod 755 /usr/local/bin/cluster-entrypoint.sh

ENTRYPOINT ["/usr/local/bin/cluster-entrypoint.sh"]
CMD ["rabbitmq-server"]
#!/bin/bash

set -e

# Change .erlang.cookie permission
chmod 400 /usr/var/lib/rabbitmq/.erlang.cookie

# Use the FQDN provided by Railway
HOSTNAME=$(hostname -f)
echo "Starting RabbitMQ Server for host: $HOSTNAME"

if [ -z "$JOIN_CLUSTER_HOST" ]; then
/usr/local/bin/docker-entrypoint.sh rabbitmq-server &
sleep 30
rabbitmqctl wait --timeout 60000 /usr/var/lib/rabbitmq/mnesia/rabbit@$HOSTNAME.pid
else
/usr/local/bin/docker-entrypoint.sh rabbitmq-server -detached
sleep 30
rabbitmqctl wait --timeout 60000 /usr/var/lib/rabbitmq/mnesia/rabbit@$HOSTNAME.pid
echo "Stopping RabbitMQ application on node $HOSTNAME..."
rabbitmqctl stop_app
echo "Joining node $HOSTNAME to cluster $JOIN_CLUSTER_HOST..."
rabbitmqctl join_cluster $JOIN_CLUSTER_HOST
if [ $? -ne 0 ]; then
echo "Error joining cluster. Exiting."
exit 1
fi
echo "Starting RabbitMQ application on node $HOSTNAME..."
rabbitmqctl start_app
fi

# Keep foreground process active ...
tail -f /dev/null
#!/bin/bash

set -e

# Change .erlang.cookie permission
chmod 400 /usr/var/lib/rabbitmq/.erlang.cookie

# Use the FQDN provided by Railway
HOSTNAME=$(hostname -f)
echo "Starting RabbitMQ Server for host: $HOSTNAME"

if [ -z "$JOIN_CLUSTER_HOST" ]; then
/usr/local/bin/docker-entrypoint.sh rabbitmq-server &
sleep 30
rabbitmqctl wait --timeout 60000 /usr/var/lib/rabbitmq/mnesia/rabbit@$HOSTNAME.pid
else
/usr/local/bin/docker-entrypoint.sh rabbitmq-server -detached
sleep 30
rabbitmqctl wait --timeout 60000 /usr/var/lib/rabbitmq/mnesia/rabbit@$HOSTNAME.pid
echo "Stopping RabbitMQ application on node $HOSTNAME..."
rabbitmqctl stop_app
echo "Joining node $HOSTNAME to cluster $JOIN_CLUSTER_HOST..."
rabbitmqctl join_cluster $JOIN_CLUSTER_HOST
if [ $? -ne 0 ]; then
echo "Error joining cluster. Exiting."
exit 1
fi
echo "Starting RabbitMQ application on node $HOSTNAME..."
rabbitmqctl start_app
fi

# Keep foreground process active ...
tail -f /dev/null
5 replies
RRailway
Created by Jaymart on 6/28/2024 in #✋|help
deploying rabbitMQ clusters
148eb60b-cb64-411a-8789-fbfd534512b7
5 replies
RRailway
Created by Jaymart on 6/24/2024 in #✋|help
unable to deploy from Dockerfile
its using the dockerfile from a public repo
5 replies
RRailway
Created by Jaymart on 6/24/2024 in #✋|help
unable to deploy from Dockerfile
148eb60b-cb64-411a-8789-fbfd534512b7
5 replies